<?php
	if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	if ($_SESSION['status']>0) {
		echo '<p style="font-size: 1.5em; text-align: center; margin: 50px 0 0 0">Zadawanie pytań dostępne tylko dla uczestników</p>';
		exit();
	}
	
	$nazwa = $_SESSION['nazwa'];
	$uid = $_SESSION['id'];
	
	if (isset($_POST['pz'])) {
		date_default_timezone_set('Europe/Warsaw');
		$pytanie = strip_tags($_POST['tresc']);
		if ($pytanie!='') {
			require_once('wiras_php/wa_baza/wa_polacz.php');
			$zap = "INSERT INTO zwierzenia (id_userpyt, pytanie, data_pyt)
							VALUES ($uid, '$pytanie', NOW())";
			$wyslij = mysqli_query($db, $zap);
		}
	}
?>
	<div id="pz_content">
		<div id="pz_tytul" style="width: 350px; height: 30px; color: #f00; margin: 5px auto;">
		<p id="zwierz_tytul">POKÓJ ZWIERZEŃ</p>
		</div>
		<div id="pz_pytanie">
			Wpisz treść pytania do Asystenta:
			<form id="pz_form" name="pz_form" action="index.php?m=8" method="post">
			<textarea id="pz_tresc" name="tresc" rows="10" cols="85" wrap="soft"></textarea>
			<input type="submit" value="Wyślij pytanie" id="button_menu" name="pz">
			</form>
		</div>	
		<div id="pz_odpowiedz">
			<p id="zwierz_info">Twoje pytania i odpowiedzi</p>
			<form id="pz_form2" name="pz_form2" action="index.php?m=8" method="post">
			<input type="submit" value="Pobierz pytania i odpowiedzi" id="button_menu5" name="pz2">
			</form>
			<div id="pz_tpytanie">Pytanie</div>
			<div id="pz_todpowiedz">Odpowiedź</div>
			<div id="pz_tdata">Data</div>
			<div id="pz_odstep"></div>
<?php			
		if (isset($_POST['pz2'])) {
			require_once('wiras_php/wa_baza/wa_polacz.php');
			$zap = "SELECT * FROM zwierzenia 
					WHERE id_userpyt=$uid ORDER BY data_pyt DESC";
			$wynik_pobierz = mysqli_query($db, $zap);
			$wynik = array();
				while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
				{
					$wynik[] = $wiersz;
				}
			$lp = count($wynik);
			for ($i=0; $i<$lp; $i++) {
						echo '<div id="pz_tpytanie">Pytanie nr: '.($lp-$i).'<br />'.$wynik[$i][3].'</div>';
						if ($wynik[$i][4]!='') {
							echo '<div id="pz_todpowiedz">'.$wynik[$i][4].'</div>';
						} else echo '<div id="pz_todpowiedz" style="color: #f00">Brak odpowiedzi</div>';
						echo '<div id="pz_tdata">'.$wynik[$i][5].'</div>';
						echo '<div id="pz_odstep"></div>';
				}
			echo '<div id="pz_odstep"></div>';
		}
?>		

		</div>
	</div>
 

 <script type="text/javascript">
   $(document).ready(function(){
	   animuj_tekst();
	   
	  function animuj_tekst() {
		   var div = $( "#zwierz_tytul" );
		div.animate( { 
			fontSize: '25px',
			opacity: '0.2',
			}, {
            duration: 1000,
            easing: 'easeOutBounce'
            })	
		div.animate( { 
			fontSize: '20px', 
			opacity: '1',
			}, {
            duration: 1000,
            easing: 'easeOutExpo'
            })
	   }
	   
   })
</script>
 
 